[package]
name = "arstar"
version = "0.1.0"
edition = "2021"
authors = ["Gramini"]

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
clap = { version = "4.4.11", features = ["derive"] }
image = "0.24.7"

[profile.release]
# https://doc.rust-lang.org/cargo/reference/profiles.html#profile-settings
# https://github.com/johnthagen/min-sized-rust
opt-level = 3    # all optimizations
strip     = true # Automatically strip symbols from the binary. (Huge improvement)
lto       = true # Link-Time Optimization
codegen-units = 1

[dev-dependencies]
pretty_assertions = "1.4.0"
# panic = "abort"
